Skip to main content

Get Pending Alert

Request to be POSTed to uri : /NorenWClientAPI/GetPendingAlert

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetPendingAlert' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO"}'

Response Details :

Response data will have below fields.

Json FieldsPossible valueDescription
statalert success or failure indication.
al_idAlert type
al_idAlert Id
tsymTrading symbol
exchExchange Segment
tokenContract token
remarksAny message Entered during order entry.
upd_tm
validityDAY or GTTValidity
instname
ppPrice precision
tiTick size
lsLot size
d
sms_flagtrue or falseSMS flag
email_flagtrue or falseEmail flag
push_flagtrue or falsePush flag
emsgtrue or falseThis will be present only in case of errors.That is : 1) Invalid Input 2) Session Expired
cnameCompany Name

Sample Success Response :

[
{
"stat": "Ok",
"ai_t": "LTP_A",
"al_id": "26011900000001",
"tsym": "ACC-EQ",
"exch": "NSE",
"token": "22",
"remarks": "",
"upd_tm": "1768814658",
"norentm": "14:54:18 19-01-2026",
"validity": "DAY",
"instname": "EQ",
"pp": "2",
"ls": "1",
"ti": "0.10",
"d": "1900.00"
},
{
"stat": "Ok",
"ai_t": "LTP_A",
"al_id": "26011900000004",
"tsym": "ACC-EQ",
"exch": "NSE",
"token": "22",
"remarks": "",
"upd_tm": "1768815596",
"norentm": "15:09:43 19-01-2026",
"validity": "DAY",
"instname": "EQ",
"pp": "2",
"ls": "1",
"ti": "0.10",
"d": "1900.00"
}
]

Sample Failure Response :

{
"stat":"Not_Ok",
"emsg":"Session Expired : Invalid Session Key"
}